Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.orquestr.dev/cloud/v1/devices/{id}/commands \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.orquestr.dev/cloud/v1/devices/{id}/commands', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.orquestr.dev/cloud/v1/devices/{id}/commands" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "data": [ { "id": "ca888888-8888-8888-8888-888888888888", "device_id": "d7777777-7777-7777-7777-777777777777", "command_id": "cmd-9f3a2b1c", "operation": "db.query", "status": "ok", "source": "api", "issued_at": "2026-09-15T17:50:00.000Z", "completed_at": "2026-09-15T17:50:01.200Z", "error_code": null, "row_count": 42, "created_at": "2026-09-15T17:50:00.000Z" } ], "meta": { "page": 1, "per_page": 1, "total_pages": 1, "total_count": 1 } }
{ "error": { "code": "unauthorized", "message": "Unauthorized" } }
{ "error": { "code": "not_found", "message": "Not found" } }
API key (sk_live_…). Send as Authorization: Bearer <api_key>.
sk_live_…
Authorization: Bearer <api_key>
web
api
mcp
pending
ok
error
timeout
ISO timestamp
Page number (1-based). If both page and per_page are omitted, the full set is returned.
x >= 1
Items per page (max 100). If both page and per_page are omitted, the full set is returned.
1 <= x <= 100
Success
The response is of type object.
object